# makefile for Linux

###### Tools

CXX = c++

###### Compiler/linker flags

INC_PATH  = -I../../src
CXX_OPTS = -g
LIB_PATH  = -L../../dev

###### Macros

OBJS = EmailMessage.o EmailAttach.o EmailAttachList.o EmailText.o\
 EmailDate.o EmailAddress.o EmailAddressList.o
LIBS = -lmimepp_util -lmimepp_core

###### Targets

default: create_ex html_ex

create_ex : $(OBJS) create_ex.o
	$(CXX) $(CXX_OPTS) -o create_ex create_ex.o $(OBJS) $(INC_PATH) $(LIB_PATH) $(LIBS)

html_ex : $(OBJS) html_ex.o
	$(CXX) $(CXX_OPTS) -o html_ex html_ex.o $(OBJS) $(INC_PATH) $(LIB_PATH) $(LIBS)

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXX_OPTS) -c $(INC_PATH) $<
